//the intracellular potential, the morse potential in this case
float intra_potential(float r, __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
if(r<=0) return 0;
float rm = (3.0f)/r;
float m = 0.8f*((rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm)*(1/(r*r))-(rm*rm*rm*rm*rm*rm));
m -= .0015*r;
if(m>10) return 10.0f;
else return 1.0f*m;
}


//the intercellular potential, the repulsive force morse potential in this case
float inter_potential(float r, __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    if(r > 5.5) return 0;
    if(r<=0) return 0;
    float rm = 3.5f/r;
    float m = 0.0002f*((rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm)*(1/(r*r))-(rm*rm*rm*rm*rm*rm)*(1/(r*r)));
    if(m*m<100) return 1.0f*m;
    else return 10.0f;
}

void external_potential( __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    return;
}
