//the intracellular potential, the morse potential in this case
float intra_potential(float r, __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    if(r<=0) return 0;
    float rm = ((2.0f)/r);
    float m = 2.0*((rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm)*(1/(r*r))-1);
    if(m>10.0f) return 10.0f;
    if(m<11.0f) return m;
    else return 10.0f;
}


//the intercellular potential, the repulsive force morse potential in this case
float inter_potential(float r, __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    if(r > 3.8) return 0;
    if(r<=0) return 0;
    float rm = 3.2f/r;
    float m = 1.0f*((rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm)-(rm*rm*rm));
    if(m*m<100) return 1.0f*m;
    else return 10.0f;
}

void external_potential( __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    
    if(x < 2.0f) *x_F1+=-(x-2);
    if(x > 48.0f) *x_F1+=48-x;
    if(y < 2.0f) *y_F1+=-(y-2);
    if(y > 48.0f) *y_F1+=48-y;

float m = 3.0f-0.5f*z;
if(m < -0.1f) m = -0.1f; 
if(m > 3.0f) m = 3.0f;
//check to make sure m is a number
if(m < 10) *z_F1 += m*m*m;    

return;
    /*
    float m = .112f-0.0005f*z;
    if(m < 0) m = 0;
    *z_F1+=m;
    return;
     */
}
